Bug 620207 - SPICE: Windows 7 VMs hang (become non-responsive)
Summary: SPICE: Windows 7 VMs hang (become non-responsive)
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm   
(Show other bugs)
Version: 5.5
Hardware: All
OS: Windows
medium
medium
Target Milestone: ---
: ---
Assignee: Gerd Hoffmann
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: Rhel5KvmTier1
TreeView+ depends on / blocked
 
Reported: 2010-08-01 14:45 UTC by Alexey Eromenko
Modified: 2010-11-11 12:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 12:46:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexey Eromenko 2010-08-01 14:45:24 UTC
Description of problem:
Windows 7 VMs hang (become non-responsive) and refuse to react to keyboard and mouse. 
happens with Windows 7 (32 and 64bit)

Version-Release number of selected component (if applicable):
sm80

How reproducible:
few times a day

Steps to Reproduce:
1. Install fresh Windows 7 VM
2. Install sm80 tools (choose SPICE only component)
3. Work on VM

Actual results:
1. Windows 7 VM will become non-responsive, and refuse to react to keyboard and mouse. 
2. High CPU usage will exist. (70-100%)

Expected results:
should be stable.

Additional info:
I think it is SPICE isssue, but not fully sure.
I had no such problems with VNC VMs.

I have tried Windows 7 VMs without RHEV Agent, and the problem still happens, pointing to SPICE.

Comment 1 Yaniv Kaul 2010-08-01 15:22:16 UTC
Nothing that can be done with this report. Please provide additional information - VM's stdio, for example, stack, process activity, etc.
Also missing KVM and Spice RPMs versions.

Comment 3 Alexey Eromenko 2010-08-02 08:15:27 UTC
host: RHEL5.5/x64, on AMD

kernel-2.6.18-194.8.1.el5
kvm-83-164.el5_5.13
qspice-libs-0.3.0-54.el5
vdsm22-4.5-62.10.el5_5rhev2_2

Comment 4 Yaniv Kaul 2010-08-02 08:33:40 UTC
(In reply to comment #3)
> host: RHEL5.5/x64, on AMD
> 
> kernel-2.6.18-194.8.1.el5
> kvm-83-164.el5_5.13

Old: please use kvm-83-164.el5_5.15

> qspice-libs-0.3.0-54.el5

Old: please use qspice-libs-0.3.0-54.el5_5.1

> vdsm22-4.5-62.10.el5_5rhev2_2

Comment 5 Yaniv Kaul 2010-08-02 11:09:46 UTC
Closing, not enough data.

Comment 8 Uri Lublin 2010-08-26 12:06:33 UTC
Reopening and moving bug to kvm component.

Tests Gleb and I did hint that it's a kvm issue, something related to rtl8139 and s3 mode

Comment 10 Gerd Hoffmann 2010-09-07 19:55:43 UTC
Possibly related to bug #631509

Comment 12 Gerd Hoffmann 2010-09-29 09:02:03 UTC
Didn't repoduce so far.  Win7 VM (32bit) up'n'running for several days now.
Using it to do browsing work.  Letting it sit around idle.  No problems at all.

Fresh install.  Firefox added.  Slightly newer guest drivers (sm84 tools) than in the original report.

Need more info on how to reproduce to do something about it.

Comment 13 Bill Burns 2010-11-11 12:46:29 UTC
Closing due to lack of response to needinfo and lack of reproduction. If you can provide more info on how to reproduce, please reopen.


Note You need to log in before you can comment on or make changes to this bug.